Bug 521898 - Fix instances of #!/usr/bin/env python in python-tools
Summary: Fix instances of #!/usr/bin/env python in python-tools
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: python
Version: 6.5
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Robert Kuska
QA Contact: Jan Kepler
URL:
Whiteboard:
Depends On:
Blocks: 502912 590060 521940 1019336
TreeView+ depends on / blocked
 
Reported: 2009-09-08 16:17 UTC by Issue Tracker
Modified: 2016-04-18 10:16 UTC (History)
7 users (show)

Fixed In Version: python-2.6.6-49.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1019336 (view as bug list)
Environment:
Last Closed: 2013-11-21 09:12:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1582 normal SHIPPED_LIVE Moderate: python security, bug fix, and enhancement update 2013-11-20 21:39:43 UTC

Description Issue Tracker 2009-09-08 16:17:45 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2009-09-08 16:17:47 UTC
Event posted on 09-08-2009 12:15pm EDT by kbaxley

There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, python-tools in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python.  

/usr/lib64/python2.4/Demo/scripts/find-uname.py in python-tools-2.4.3-27.el5
/usr/lib64/python2.4/Demo/pdist/rcvs in python-tools-2.4.3-27.el5
/usr/lib64/python2.4/Demo/pdist/rcsbump in python-tools-2.4.3-27.el5
/usr/lib64/python2.4/Demo/pdist/rrcs in python-tools-2.4.3-27.el5
/usr/lib64/python2.4/Doc/tools/mkhowto in python-tools-2.4.3-27.el5
/usr/lib64/python2.4/site-packages/pynche/pynche in python-tools-2.4.3-27.el5

This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 339906

Comment 2 Dave Malcolm 2009-10-16 20:53:35 UTC
Note that the pathfix script ("/usr/lib/python2.4/Tools/scripts/pathfix.py" in the python-tools rpm) can be used to fix up such issues.

In theory, the copy of this script embedded in the source tree _is_ being invoked at the end of the %build phase of python.spec on ".", leading to a recursive walk of the all of the files.

However, when recursing, it only affects files matching this regex:
  ispythonprog = regex.compile('^[a-zA-Z0-9_]+\.py$')
and this fails to match the files listed in comment #1: find-uname.py has an embedded dash character, and the other tools lack a .py extenstion.

One possible fix would be to explicitly list these files after "." when invoking pathfix.

Comment 4 RHEL Program Management 2009-11-06 19:07:43 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 6 RHEL Program Management 2010-08-09 19:16:59 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 9 RHEL Program Management 2011-05-31 14:35:10 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.

Comment 17 Branislav Náter 2013-08-12 08:37:54 UTC
Agreed with jkejda, who is working on rhel-6.5 advisory.

Comment 20 errata-xmlrpc 2013-11-21 09:12:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1582.html


Note You need to log in before you can comment on or make changes to this bug.